Summary: NSS library for DB
Name: nss_db
Version: 2.2
Release: 4mdk
Source: ftp://sources.redhat.com/pub/glibc/releases/nss_db-%{version}.tar.bz2
URL: http://sources.redhat.com/glibc/
Patch: nss_db-2.1.92-compat.patch.bz2
Patch1: nss_db-2.2-paths.patch.bz2
Patch2: nss_db-2.2-compat-alpha.patch.bz2
Copyright: GPL
Group: System/Libraries
PreReq: /sbin/ldconfig
Requires: make
BuildPrereq: db3-devel >= 3.1.14
Conflicts: glibc < 2.2
Conflicts: db3 <= 3.1.14-6
BuildRoot: %{_tmppath}/%{name}-root
Prefix: %{_prefix}

%description
Nss_db is a set of C library extensions which allow Berkeley Databases
to be used as a primary source of aliases, ethers, groups, hosts,
networks, protocol, users, RPCs, services and shadow
passwords (instead of or in addition to using flat files or NIS).

Install nss_db if you flat name service files are too large and lookups
slow.

%package compat
Summary: NSS compatibility library for DB
Group: System/Libraries
Prefix: %{_prefix}

%description compat
Nss_db-compat is a set of C library extensions which allow Berkeley Databases
to be used as a primary source of aliases, ethers, groups, hosts,
networks, protocol, users, RPCs, services and shadow
passwords (instead of or in addition to using flat files or NIS) from
programs linked against glibc 2.0.x.

%prep
%setup -q
%patch1 -p1 -b .fred

mkdir nss_db-compat-%{version}
cd nss_db-compat-%{version}
tar jxf %{SOURCE0}; mv -f nss_db-%{version}/* .
%patch -p1 -b .compat
%ifarch alpha
# h4ck3d by Geoff
%patch2 -p1 -b .alpha
%endif
rm -rf nss_db-%{version}

%build
%configure
%make
cd nss_db-compat-%{version}
%configure
%make

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}/%{_lib} ${RPM_BUILD_ROOT}/var/lib/misc ${RPM_BUILD_ROOT}/%{_prefix}/bin
cp -a .libs/libnss_db.so.[0-9]* ${RPM_BUILD_ROOT}/%{_lib}/
cp -a db-Makefile ${RPM_BUILD_ROOT}/var/lib/misc/Makefile
install -m 755 makedb ${RPM_BUILD_ROOT}/%{_prefix}/bin
cd nss_db-compat-%{version}
cp -a .libs/libnss_db.so.[0-9]* ${RPM_BUILD_ROOT}/%{_lib}/

%clean
rm -rf ${RPM_BUILD_ROOT}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
/%{_lib}/libnss_db*2*
%{_prefix}/bin/makedb
/var/lib/misc/Makefile

%ifnarch sparc64 ia64

%files compat
%defattr(-,root,root)
/%{_lib}/libnss_db*1*

%post compat -p /sbin/ldconfig

%postun compat -p /sbin/ldconfig

%endif

%changelog
* Tue Jul  3 2001 Frederic Lepied <flepied@mandrakesoft.com> 2.2-4mdk
- recompiled for db3.2

* Sun Apr 22 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.2-3mdk
- Fix build on Alpha.

* Tue Mar 20 2001 Frederic Lepied <flepied@mandrakesoft.com> 2.2-2mdk
- corrected path to point to /var/lib/misc as specified in the glibc headers.

* Mon Mar 12 2001 Frederic Lepied <flepied@mandrakesoft.com> 2.2-1mdk
- 2.2

* Tue Dec 19 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 2.2

* Thu Sep 14 2000 Jakub Jelinek <jakub@redhat.com>
- separate from db3
